#pragma once

#include "CoreMinimal.h"
#include "EWwiseSoundBankType.h"
#include "WwisePackagedFile.h"
#include "WwiseSoundBankCookedData.generated.h"

USTRUCT(BlueprintType)
struct FWwiseSoundBankCookedData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 SoundBankId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool bContainsMedia;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EWwiseSoundBankType SoundBankType;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName DebugName;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FWwisePackagedFile PackagedFile;

public:
	WWISEFILEHANDLER_API FWwiseSoundBankCookedData();
};

FORCEINLINE uint32 GetTypeHash(const FWwiseSoundBankCookedData) { return 0; }
